#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-chess
Version		:	46.0
Release		:	17.0.10.rel%{?dist}
Summary		:	GNOME Chess game

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and CC-BY-SA
URL		:	https://wiki.gnome.org/Apps/Chess
			#https://gitlab.gnome.org/GNOME/gnome-chess

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gtk-devel
BuildRequires	:	itstool
BuildRequires	:	vala
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	pkgconfig(libadwaita-1)

Requires	:	gnuchess
Requires	:	gtk

#-----------------------------------------------------------------------------
%description
A chess game that supports several chess engines

#-----------------------------------------------------------------------------
%files	-f	 %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}/engines.conf
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.Chess.service
%{_datadir}/glib-2.0/schemas/org.gnome.Chess.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Chess.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Chess-symbolic.svg
%{_datadir}/metainfo/org.gnome.Chess.appdata.xml
%{_mandir}/man6/%{name}.6.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1

#=============================================================================
%prep
%autosetup -p1

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=plain				\
	_bld

meson	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson	install						\
	-C _bld

%find_lang %{name} --with-gnome

#-----------------------------------------------------------------------------
%changelog

